#include<bits/stdc++.h>
using namespace std;
int n,x[100005],y[100005],z[100005],br,brp;

struct pamcenje{
    int l,r;
};
pamcenje par[100100];

int main ()
{
    brp=0;
    br=1;
    cin >> n;
    for(int i=1; i<=n; i++)
    {
        cin >> x[i];
    }

    for(int i=1; i<=n; i++)
    {
        cin >> y[i];
    }

    for(int i=1; i<=n; i++)
    {
        cin >> z[i];
    }
    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=n; j++)
        {
            if(x[i]==y[j])
            {

                par[brp].l=i;  //indeks
                par[brp].r=j;  //indeks
                brp++;
            }
        }
    }



    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=n; j++)
        {
           // cout << par[i].r << " " << z[j] << endl;
            if(par[i].r==z[j])    ///indeks y to mi treba,
            {
              //  cout << "uso" << endl << endl;
                //cout << x[par[i].l] << " "  << y[par[i].r] << " " << z[j] << endl;
               br++;
            }
        }
    }

    cout << br+1 << endl;
}